Pular para o conteúdo principal
POST
/
crm
/
v3
/
objects
/
tasks
/
batch
/
upsert
Criar ou atualizar um lote de tarefas por valores de propriedades exclusivas
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/tasks/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>",
      "properties": {},
      "idProperty": "<string>",
      "objectWriteTraceId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "new": true,
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json
inputs
object[]
obrigatório

Resposta

successful operation

Representa o resultado de uma operação de upsert em lote, incluindo o status da operação, carimbos de data/hora e uma lista de objetos criados ou atualizados com sucesso.

completedAt
string<date-time>
obrigatório

A data e hora em que o processo em lote foi concluído, no formato ISO 8601.

results
object[]
obrigatório
startedAt
string<date-time>
obrigatório

A data e hora em que o processamento em lote começou a ser executado, no formato ISO 8601.

status
enum<string>
obrigatório

O status da solicitação de processamento em lote. Pode ser: "PENDENTE", "PROCESSANDO", "CANCELADO" ou "CONCLUÍDO"

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Um objeto contendo links relevantes relacionados à solicitação em lote.

requestedAt
string<date-time>

A data e hora em que o processo em lote foi iniciado, no formato ISO 8601.

Last modified on April 13, 2026